webpackJsonp([1],{

/***/ 37:
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/**
 * Copyright 2013-present, Facebook, Inc.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree. An additional grant
 * of patent rights can be found in the PATENTS file in the same directory.
 */



var emptyFunction = __webpack_require__(8);
var invariant = __webpack_require__(1);
var ReactPropTypesSecret = __webpack_require__(27);

module.exports = function() {
  function shim(props, propName, componentName, location, propFullName, secret) {
    if (secret === ReactPropTypesSecret) {
      // It is still safe when called from React.
      return;
    }
    invariant(
      false,
      'Calling PropTypes validators directly is not supported by the `prop-types` package. ' +
      'Use PropTypes.checkPropTypes() to call them. ' +
      'Read more at http://fb.me/use-check-prop-types'
    );
  };
  shim.isRequired = shim;
  function getShim() {
    return shim;
  };
  // Important!
  // Keep this list in sync with production version in `./factoryWithTypeCheckers.js`.
  var ReactPropTypes = {
    array: shim,
    bool: shim,
    func: shim,
    number: shim,
    object: shim,
    string: shim,
    symbol: shim,

    any: shim,
    arrayOf: getShim,
    element: shim,
    instanceOf: getShim,
    node: shim,
    objectOf: getShim,
    oneOf: getShim,
    oneOfType: getShim,
    shape: getShim
  };

  ReactPropTypes.checkPropTypes = emptyFunction;
  ReactPropTypes.PropTypes = ReactPropTypes;

  return ReactPropTypes;
};


/***/ }),

/***/ 39:
/***/ (function(module, exports, __webpack_require__) {

/* WEBPACK VAR INJECTION */(function(process) {/**
 * Copyright 2013-present, Facebook, Inc.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree. An additional grant
 * of patent rights can be found in the PATENTS file in the same directory.
 */

if (process.env.NODE_ENV !== 'production') {
  var REACT_ELEMENT_TYPE = (typeof Symbol === 'function' &&
    Symbol.for &&
    Symbol.for('react.element')) ||
    0xeac7;

  var isValidElement = function(object) {
    return typeof object === 'object' &&
      object !== null &&
      object.$$typeof === REACT_ELEMENT_TYPE;
  };

  // By explicitly using `prop-types` you are opting into new development behavior.
  // http://fb.me/prop-types-in-prod
  var throwOnDirectAccess = true;
  module.exports = __webpack_require__(38)(isValidElement, throwOnDirectAccess);
} else {
  // By explicitly using `prop-types` you are opting into new production behavior.
  // http://fb.me/prop-types-in-prod
  module.exports = __webpack_require__(37)();
}

/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(0)))

/***/ }),

/***/ 88:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
throw new Error("Cannot find module \"zero\"");
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }





var Input = __WEBPACK_IMPORTED_MODULE_2_zero__["Components"].Input,
    Button = __WEBPACK_IMPORTED_MODULE_2_zero__["Components"].Button;
var arrayUtils = __WEBPACK_IMPORTED_MODULE_2_zero__["utils"].array;

var InputButton = function (_Component) {
  _inherits(InputButton, _Component);

  function InputButton(props) {
    _classCallCheck(this, InputButton);

    var _this = _possibleConstructorReturn(this, (InputButton.__proto__ || Object.getPrototypeOf(InputButton)).call(this, props));

    _this.inputs = [];
    _this.state = {
      value: []
    };
    _this.addInput = _this.addInput.bind(_this);
    _this.removeInput = _this.removeInput.bind(_this);
    _this.setInputValue = _this.setInputValue.bind(_this);
    _this.getValue = _this.getValue.bind(_this);
    return _this;
  }

  _createClass(InputButton, [{
    key: 'getValue',
    value: function getValue() {
      return arrayUtils.uniq(this.state.value).join(',');
    }
  }, {
    key: 'setInputValue',
    value: function setInputValue(key, inputValue) {
      var value = this.state.value;
      value.splice(key, 1, inputValue);
      this.setState({ value: value });
    }
  }, {
    key: 'removeInput',
    value: function removeInput(key) {
      var value = this.state.value;
      value.splice(key, 1);
      this.setState({ value: value });
    }
  }, {
    key: 'addInput',
    value: function addInput() {
      var value = this.state.value;
      value.push('');
      this.setState({ value: value });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var Inputs = this.state.value.map(function (value, key) {
        var inputKey = '' + key;
        return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
          'div',
          { key: inputKey },
          __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(Input, _extends({
            style: { margin: '5px 5px 0px 0px' },
            onChange: function onChange(event, context, inputValue) {
              return _this2.setInputValue(key, inputValue);
            }
          }, _this2.props, {
            value: value,
            type: _this2.props.inputType,
            valid: _this2.props.inputValid
          })),
          __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(Button, { text: '\u5220\u9664', type: ['small'], onClick: function onClick() {
              return _this2.removeInput(key);
            } })
        );
      });

      return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
        'div',
        { style: { display: 'inline-block', verticalAlign: 'top', marginTop: '-5px' } },
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(Button, {
          text: '\u6DFB\u52A0',
          type: ['small'],
          onClick: this.addInput
        }),
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement('br', null),
        Inputs
      );
    }
  }]);

  return InputButton;
}(__WEBPACK_IMPORTED_MODULE_0_react__["Component"]);

InputButton.propTypes = {
  inputType: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
  inputValid: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string
};

InputButton.defaultProps = {
  inputType: 'number',
  inputValid: 'number'
};

/* harmony default export */ __webpack_exports__["a"] = (InputButton);

/***/ }),

/***/ 90:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
throw new Error("Cannot find module \"zero\"");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__InputButton__ = __webpack_require__(88);



var EditPage = __WEBPACK_IMPORTED_MODULE_0_zero__["Templates"].EditPage;
var Toaster = __WEBPACK_IMPORTED_MODULE_0_zero__["Components"].Toaster;

var nowDate = Date.parse(new Date());
var NestYearNowDate = nowDate + 3600 * 1000 * 24 * 365;
var editItemList = [{
  key: 'channelBankId',
  text: '银行渠道',
  type: 'select',
  options: [{
    value: '', text: '请选择'
  }, {
    value: 'jingu', text: '金谷农商行'
  }],
  valid: 'required',
  errorMsg: '请选择银行渠道'
}, {
  key: 'loanProductType',
  text: '贷款产品类型',
  type: 'select',
  options: [{
    value: '', text: '请选择'
  }, {
    value: '01', text: '个人小额信贷'
  }],
  valid: 'required',
  errorMsg: '请选择贷款产品类型'
}, {
  key: 'loanProductName',
  text: '贷款产品名称',
  valid: 'required',
  errorMsg: '请输入贷款产品名称',
  format: function format(v) {
    return __WEBPACK_IMPORTED_MODULE_0_zero__["utils"].string.trim(v);
  }
}, {
  key: 'loanProductDescription',
  text: '贷款产品描述',
  type: 'textarea',
  value: '',
  valid: 'required',
  maxLength: 200,
  errorMsg: '请输入贷款产品描述'
}, {
  key: 'repaymentMethod',
  text: '还款方式',
  type: 'select',
  options: [{
    value: '', text: '请选择'
  }, {
    value: '01', text: '等额本息'
  }],
  valid: 'required',
  errorMsg: '请选择还款方式'
}, {
  key: 'loanProductTermType',
  text: '产品期限类型',
  type: 'select',
  options: [{
    value: '', text: '请选择'
  }, {
    value: '01', text: '固定期限'
  }],
  valid: 'required',
  errorMsg: '请选择产品期限类型',
  changeParams: ['fixedLoanProductTerm'],
  change: function change(val, $$dom) {
    if (val === '01') {
      $$dom.style.display = 'block';
    } else {
      $$dom.style.display = 'none';
    }
  }
}, {
  key: 'termUnit',
  text: '期限单位',
  type: 'select',
  options: [{
    value: '', text: '请选择'
  }, {
    value: 2, text: '月'
  }], // {value: 1, text: '天'},
  valid: 'required',
  errorMsg: '请选择期限单位'
}, {
  key: 'fixedLoanProductTerm',
  text: '固定产品期限',
  placeholder: '请输入1~1000之间的整数',
  min: 1,
  max: 1000,
  maxLengthShow: false,
  typeStyle: 'overHalf',
  type: 'dynamic',
  WrappedComponent: __WEBPACK_IMPORTED_MODULE_1__InputButton__["a" /* default */],
  conditionValid: true,
  model: 'mix',
  valid: 'commaArray',
  inputValid: 'number',
  inputType: 'number',
  errorMsg: '请输入固定产品期限',
  wrapStyle: {
    display: 'none'
  }
}, {
  key: 'loanInterestRateType',
  text: '贷款利率类型',
  type: 'select',
  options: [{
    value: '', text: '请选择'
  }, {
    value: 1, text: '固定'
  }], // , {value: 2, text: '浮动'}
  changeParams: ['fixedLoanInterestMonthRate', 'floatLoanInterestMonthRate'],
  change: function change(val, $$fix, $$float) {
    if (val === '1') {
      $$float.style.display = 'none';
      $$fix.style.display = 'block';
    } else if (val === '2') {
      $$fix.style.display = 'none';
      $$float.style.display = 'block';
    } else {
      $$fix.style.display = 'none';
      $$float.style.display = 'none';
    }
  },
  valid: 'required',
  errorMsg: '请选择贷款利率类型'
}, {
  key: 'fixedLoanInterestMonthRate',
  text: '固定贷款月利率',
  value: '',
  type: 'number',
  after: '%',
  valid: 'percent',
  conditionValid: true,
  wrapStyle: {
    display: 'none'
  }
}, {
  key: 'floatLoanInterestMonthRate',
  wrapStyle: {
    display: 'none'
  },
  text: '浮动贷款月利率',
  items: [{
    key: 'minFloatLoanInterestMonthRate',
    type: 'number',
    after: '%（最小利率） -',
    valid: 'percent',
    typeStyle: 'half'
  }, {
    style: {
      marginLeft: 10
    },
    key: 'maxFloatLoanInterestMonthRate',
    type: 'number',
    after: '%（最大利率）',
    valid: 'percent',
    typeStyle: 'half'
  }],
  valid: function valid(min, max) {
    return +min <= +max;
  },
  conditionValid: true,
  errorMsg: '最小利率不得大于最大利率'
}, {
  key: 'effectDayType',
  text: '起息条件类型',
  type: 'select',
  value: '',
  options: [{
    text: '请选择', value: ''
  }, {
    text: '放款成功', value: '1'
  }, {
    text: '签约成功', value: '2'
  }],
  valid: 'required',
  errorMsg: '请选择起息条件类型'
}, {
  key: 'effectDay',
  text: '起息日',
  value: '',
  type: 'select',
  options: [{
    text: '请选择', value: ''
  }].concat(__WEBPACK_IMPORTED_MODULE_0_zero__["utils"].array.from({ length: 11 }, function (a, b) {
    return b;
  }).map(function (i) {
    return { text: i, value: i };
  })),
  valid: 'required',
  errorMsg: '请选择起息日'
}, {
  key: 'openLoanTime',
  text: '起始放贷时间',
  type: 'date',
  value: nowDate,
  minTime: nowDate,
  dateFormat: 'YYYY-MM-DD HH:mm:ss',
  timeFormat: 'HH:mm:ss',
  valid: function valid(val) {
    return val && +new Date(val) >= +new Date();
  },
  errorMsg: '起始放贷时间不得小于当前时间'
}, {
  key: 'closeLoanTime',
  text: '结束放贷时间',
  type: 'date',
  minTime: nowDate,
  value: NestYearNowDate,
  dateFormat: 'YYYY-MM-DD HH:mm:ss',
  timeFormat: 'HH:mm:ss',
  valid: function valid(val) {
    return val && +new Date(val) >= +new Date();
  },
  errorMsg: '结束放贷时间不得小于当前时间'
}, {
  key: 'quotaType',
  text: '配额类型',
  type: 'select',
  value: '',
  options: [{
    text: '请选择', value: ''
  }, {
    text: '不限额', value: '01'
  }, {
    text: '固定限额', value: '02'
  }], //  {text: '自动同步配额', value: '03' }
  valid: 'required',
  errorMsg: '请选择配额类型',
  changeParams: ['totalQuota', 'dayQuota'],
  change: function change(val, $$dom, $$dom2, $$inputDom1, $$inputDom2) {
    if (val === '02') {
      $$dom.style.display = 'block';
      $$dom2.style.display = 'block';
    } else {
      $$dom.style.display = 'none';
      $$dom2.style.display = 'none';
      $$inputDom1.setValue('');
      $$inputDom2.setValue('');
    }
  }
}, {
  key: 'totalQuota',
  text: '产品总配额',
  type: 'number',
  after: '万',
  min: 1,
  max: 99999,
  valid: 'number',
  conditionValid: true,
  wrapStyle: {
    display: 'none'
  }
}, {
  key: 'dayQuota',
  text: '产品日配额',
  type: 'number',
  after: '万',
  min: 1,
  max: 99999,
  valid: 'number',
  wrapStyle: {
    display: 'none'
  }
}, {
  key: 'fundSourceType',
  text: '贷款资金来源渠道',
  type: 'select',
  value: '',
  options: [{
    text: '请选择', value: ''
  }, {
    text: '方付通', value: '01'
  }, {
    text: '渠道银行', value: '02'
  }, {
    text: '混合', value: '03'
  }]
}, {
  key: 'incrementQuota',
  text: '申请递增额度类型',
  type: 'select',
  value: '',
  options: [{
    text: '请选择', value: ''
  }, {
    text: '1', value: '01'
  }, {
    text: '100', value: '02'
  }, {
    text: '1000', value: '03'
  }]
}, {
  key: 'minLoanAmount',
  text: '最小贷款金额',
  type: 'number',
  value: '100',
  min: 1,
  max: 1000000,
  valid: 'number'
}, {
  key: 'maxLoanAmount',
  text: '最大贷款金额',
  value: '1000000',
  type: 'number',
  min: 1,
  max: 1000000,
  valid: 'number'
}, {
  key: 'loanFeeType',
  text: '借款服务费类型',
  value: '00',
  type: 'select',
  options: [{
    text: '不收取', value: '00'
  }], // {text: '服务费前置放款扣除', value: '01'}, {text: '服务费按月均分',
  // value: '02'}, {text: '服务费到期一次性收取', value: '03'}
  changeParams: ['loanFeeRate'],
  change: function change(val, $$dom) {
    if (val === '00') {
      $$dom.style.display = 'none';
    } else {
      $$dom.style.display = 'block';
    }
  }
}, {
  key: 'loanFeeRate',
  text: '借款服务费率',
  value: '0',
  type: 'number',
  after: '%',
  valid: 'percent',
  wrapStyle: {
    display: 'none'
  }
}, {
  key: 'lateChargeFreeDays',
  text: '逾期免息期限',
  value: '0',
  type: 'number',
  valid: 'number',
  after: '天',
  min: 0,
  max: 365
}, {
  key: 'lateChargeRateType',
  text: '逾期罚息类型',
  value: '01',
  type: 'select',
  options: [{
    text: '固定罚息利率当期未还金额按天计算', value: '01'
  }],
  changeParams: ['fixedLateChargeRate', 'floatLateChargeRate'],
  change: function change(val, $$fix, $$float) {
    if (val === '01') {
      $$float.style.display = 'none';
      $$fix.style.display = 'block';
    } else if (val === '02') {
      $$fix.style.display = 'none';
      $$float.style.display = 'block';
    } else {
      $$fix.style.display = 'none';
      $$float.style.display = 'none';
    }
  }
}, {
  key: 'fixedLateChargeRate',
  text: '逾期固定罚息费率',
  value: '0',
  type: 'number',
  after: '%/天',
  valid: 'percent',
  conditionValid: true
}, {
  key: 'floatLateChargeRate',
  text: '逾期浮动罚息费率',
  items: [{
    key: 'baseFloatLateChargeRate',
    text: '基础罚息利率',
    type: 'number',
    after: '%/天',
    value: '0',
    valid: 'percent'
  }, {
    key: 'progressiveFloatLateChargeRate',
    text: '每日递进利率',
    type: 'number',
    after: '%/天',
    value: '0',
    textStyle: {
      marginLeft: 20
    },
    valid: 'percent'
  }],
  valid: function valid(min, max) {
    return +min <= +max;
  },
  conditionValid: true,
  errorMsg: '基础罚息利率不得大于每日递进利率',
  wrapStyle: {
    display: 'none'
  }
}, {
  key: 'remark',
  text: '备注',
  type: 'textarea',
  maxLength: 256
}];

var valid = [{
  func: function func(a, b) {
    return a !== '01' || b !== '';
  },
  params: ['loanProductTermType', 'fixedLoanProductTerm'],
  errorMsg: '产品期限类型选择“固定期限”时固定产品期限必填'
}, {
  func: function func(a, b) {
    return a !== '1' || b !== '';
  },
  params: ['loanInterestRateType', 'fixedLoanInterestMonthRate'],
  errorMsg: '贷款利率类型选择“固定”时固定贷款利率必填'
}, {
  func: function func(a, b, c) {
    return a !== '2' || b !== '' || c !== '';
  },
  params: ['loanInterestRateType', 'minFloatLoanInterestMonthRate', 'maxFloatLoanInterestMonthRate'],
  errorMsg: '贷款利率类型选择“浮动”时固定贷款利率必填'
}, {
  func: function func(a, b) {
    return a !== '02' || b !== '';
  },
  params: ['quotaType', 'totalQuota'],
  errorMsg: '配额类型为“固定限额”时产品总配额必填'
}, {
  func: function func(a, b) {
    return a !== '01' || b !== '';
  },
  params: ['lateChargeRateType', 'fixedLateChargeRate'],
  errorMsg: '逾期罚息类型为“固定罚息利率当期未还金额按天计算”时逾期固定罚息费率必填'
}, {
  func: function func(a, b, c) {
    return a !== '02' || b !== '' || c !== '';
  },
  params: ['lateChargeRateType', 'baseFloatLateChargeRate', 'progressiveFloatLateChargeRate'],
  errorMsg: '逾期罚息类型为“递进罚息未还金额按天计算”时逾期浮动罚息费率'
}, {
  func: function func(a, b) {
    if (a && b) {
      return a < b;
    }return true;
  },
  params: ['openLoanTime', 'closeLoanTime'],
  errorMsg: '起始放贷时间不得大于结束放贷时间'
}, {
  func: function func(a, b) {
    if (a && b) {
      return a <= b;
    }return true;
  },
  params: ['dayQuota', 'totalQuota'],
  errorMsg: '产品日配额不得大于产品总配额'
}, {
  func: function func(a) {
    if (a && a < 100) {
      return false;
    }return true;
  },
  params: ['minLoanAmount'],
  errorMsg: '贷款金额需为100-1,000,000之间的整数'
}, {
  func: function func(a) {
    if (a && a < 100) {
      return false;
    }return true;
  },
  params: ['maxLoanAmount'],
  errorMsg: '贷款金额需为100-1,000,000之间的整数'
}, {
  func: function func(a, b) {
    if (a && b) {
      return a <= b;
    }return true;
  },
  params: ['minLoanAmount', 'maxLoanAmount'],
  errorMsg: '最大贷款金额不得小于最小贷款金额'
}];

var titlepart = {
  title: '信贷产品新增',
  note: '打*为必选'
};
function save(cdata, callback) {
  var option = {
    method: 'POST',
    data: cdata,
    headers: {
      token: localStorage.getItem('token'),
      userId: localStorage.getItem('userId')
    }
  };
  __WEBPACK_IMPORTED_MODULE_0_zero__["utils"].fetch('/api/bosscredit/product/add', option).then(function (res) {
    var msgType = res.code === '0000' ? 'success' : 'error';
    Toaster.toaster({ type: msgType, content: res.message, time: 3000 });
    callback();
    if (res.code === '0000') {
      var id = res.data.loanProductId;
      window.location.href = './creditProductDetail.html?id=' + id;
    }
  }, function (error) {
    callback();
    Toaster.toaster({ type: 'error', content: error && error.message || '保存出错', time: 3000 });
  });
}

EditPage({
  editItemList: editItemList,
  valid: valid,
  save: save,
  titlepart: titlepart
});

/***/ })

},[90]);
//# sourceMappingURL=creditProductAdd.78ddebd218b20c417af0.js.map